import Ember from 'ember'
export default Ember.Component.extend
  #tagName: 'h4'
  constraint_types: Ember.A(['warn', 'restrict'])
  classNames: ['row']
  actions:
    destroyConstraint: ->
      #@get('constraint').destroyRecord()
      @modal 'confirm',
        title_path: 'general.destroy.are_you_sure'
        model: @get('constraint')
        ok: ->
          @get('model').destroyRecord()

